:root {
  --nav-color-bg: #272932;
  --console-color-border: #1b1c22;
  --console-color-bg: #1b1c22;
  --runbtn-color-border: #e7ecef;
  --runbtn-color-bg: #e7ecef;
  --runbtn-text-color: #05192d;
  --clearbtn-border: #e7ecef;
  --clearbtn-bg: #e7ecef;
  --examples-border: #e7ecef;
  --examples-bg: #e7ecef;
}
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
.container {
  width: 100%;
  height: 100vh;
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 0.3fr 2.4fr 0.3fr;
  gap: 0 0;
  grid-template-areas: "navbar navbar" "editor console" "footer footer";
}
#navbar {
  grid-area: navbar;
  background-color: var(--nav-color-bg);
}
#footer {
  grid-area: footer;
  background-color: var(--nav-color-bg);
}
#editor {
  grid-area: editor;
}
#console {
  grid-area: console;
  border: 3px solid var(--console-color-border);
  background-color: var(--console-color-bg);
}
#runbtn, #clearbtn {
  border: 2px solid var(--runbtn-color-border);
  background-color: var(--runbtn-color-bg);
  color: var(--runbtn-text-color);
  border-radius: 4px;
  font-size: 16px;
  line-height: 1.2;
  margin: 0.5rem;
  padding: 0.5rem 1.5rem;
  cursor: pointer;
}
#runbtn:hover, #clearbtn:hover {
  border: 2px solid var(--runbtn-color-border);
  background-color: var(--runbtn-color-bg);
}
.jqconsole {
  padding: 0;
  padding-left: 2px;
  margin: 0;
}
.jqconsole-prompt {
  color: #0d0;
}
.jqconsole-input {
  color: #dd0;
}
.jqconsole-output {
  color: #fff;
}
#examples, #editorTheme {
  border: 2px solid var(--examples-border);
  background-color: var(--examples-bg);
  color: #05192d;
  border-radius: 4px;
  font-size: 16px;
  line-height: 1.2;
  margin: 0.5rem;
  padding: 0.5rem 1.5rem;
  cursor: pointer;
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
  background-image: url("data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22%23007CB2%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E");
  background-repeat: no-repeat, repeat;
  background-position: right 0.7em top 50%, 0 0;
  background-size: 0.65em auto, 100%;
}
